com.saxonica.schema

## Class UnresolvedReferenceExceptionImpl

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.saxon.type.UnresolvedReferenceException
        - - com.saxonica.schema.UnresolvedReferenceExceptionImpl

- All Implemented Interfaces:
    Serializable

      public class UnresolvedReferenceExceptionImpl
      extends UnresolvedReferenceException

  This exception occurs when an attempt is made to dereference a reference from one schema component to another, if the target of the reference cannot be found. Note that an unresolved reference is not necessarily an error: a schema containing unresolved references may be used for validation, provided the components containing the unresolved references are not actually used.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnresolvedReferenceExceptionImpl(ComponentReference ref)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentReference` | `getComponentReference()`
    `String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedReferenceExceptionImpl

          public UnresolvedReferenceExceptionImpl(ComponentReference ref)

  - ### Method Detail

    - #### getComponentReference

          public ComponentReference getComponentReference()

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.